//*****************************************************************************
// Description     : Constant value definition for controlling device
// Target Device   : APV8508, APV8104
// Target Platform : Linux, C
// Date            : August 2017
// Version         : 1.0
//*****************************************************************************
#ifndef __DEVICE_DEFINE_H__
#define __DEVICE_DEFINE_H__

//
// Number of histogram data per CH
//
#define NUM_DATA                    (8192)

//
// Timeout value
//
#define DEVICE_TIMEOUT_CMD           (200)  // for waiting command response
#define DEVICE_TIMEOUT_DATA          (250)  // for waiting data

//
// CH related value
//
#define DEVICE_OFFSETADDR_CH      (0x0100)  // command address offset per CH

//
// Corresponding value
//
#define DEVICE_CNT_PER_NSEC           (8)  // 1count = 8nsec


#endif // __DEVICE_DEFINE_H__
