//*****************************************************************************
// Description     : Definition for 64bit system compatible
// Target Device   : APV8508, APV8104
// Target Platform : Linux, C
// Date            : August 2017
// Version         : 1.0
//*****************************************************************************
#ifndef __SYS_COMPATIBLE_H__
#define __SYS_COMPATIBLE_H__


// alias of long-long type
#define     qword   long long


// wait in milliseconds
#include    <unistd.h>

#define     msleep(msec) {                                 \
    unsigned int    ___sec = (unsigned int)(msec / 1000);  \
    unsigned int    __msec = (unsigned int)(msec % 1000);  \
                                                           \
    if(___sec > 0) {                                       \
        sleep(___sec);     /* wait for seconds */          \
    }                                                      \
                                                           \
    /* wait for rest of milliseconds */                    \
    usleep((useconds_t)(__msec * 1000));                   \
}


#endif // __SYS_COMPATIBLE_H__
