//*****************************************************************************
// Description     : Definitions depends on the user environment
// Target Device   : APV8508, APV8104
// Target Platform : Linux, C
// Date            : August 2017
// Version         : 1.0
//*****************************************************************************
#ifndef __LOCAL_DEFINE_H__
#define __LOCAL_DEFINE_H__

#include "command.h"

//
// Modify the following defines according to your environment
//

// Maximum count of CH: select from below two defines
#define DEVICE_MAX_CHNUM                   (8)  // for APV8508
//#define DEVICE_MAX_CHNUM                 (4)  // for APV8104

// ADC sampling bits: select from below two defines
#define DEVICE_SAMPLING    DEVICE_SAMPLING_14BITS   // for APV8508-14 or APV8104-14
//#define DEVICE_SAMPLING  DEVICE_SAMPLING_12BITS   // for APV8508-12 or APV8104-12

#define SAVE_FILENAME        "./hist_data.csv"  // Name of the file where data saved
#define MEASUREMENT_TIME                (3000)  // Measurement time (msec)

#define IPADDR_OWNPC                 "0.0.0.0"  // IP address of PC; Normally leave 0.0.0.0
#define DEVICE_PORT_CTRL_OWNPC         (50000)  // Source port number for command

#define IPADDR_DEVICE         "192.168.10.128"  // IP address of target device
#define DEVICE_PORT_CTRL_DEVICE         (4660)  // Destination port number for command
#define DEVICE_PORT_DATARECV              (24)  // Port number for data reception


#endif // __LOCAL_DEFINE_H__
